Index: /GTP/trunk/Lib/Vis/Preprocessing/work/plots/plot_sampling
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/work/plots/plot_sampling	(revision 2147)
+++ /GTP/trunk/Lib/Vis/Preprocessing/work/plots/plot_sampling	(revision 2639)
@@ -2,5 +2,8 @@
 
 #PREFIX=osp-rss-single
-PREFIX=osp-PIXEL3
+PREFIX=osp-vienna
+#PREFIX=osp-pompeii
+#PREFIX=osp-arena-time
+#PREFIX=osp-PIXEL3
 #PREFIX=osp-rss2
     
@@ -12,4 +15,5 @@
 
 
+
 #$PREFIX-l.log \
 
@@ -19,13 +23,12 @@
 #"
 
-FILES="`ls $PREFIX*.log`"
-
-#FILES="osp-1e5-i-mixed-b1-n4g.log osp-1e5-i-mixed-b1-n4h.log osp-1e5-i-mixed-b1-n4i.log"
-#FILES="osp-1e5-i-mixed-b1-n4g.log osp-1e5-i-mixed-b1-n4i.log"
-
-
-#FILES="osp-rss-single2g-1e5-i-mixed-b1-n7-f4.log"
-#FILES="osp-rss2-1e5-i-mixed-b1-n4c.log osp-rss2-1e5-r-reference.log osp2-1e5-r-reference.log osp-1e5-i-mixed-b1-n4c.log osp-1e5-i-mixed-b1-n4d.log osp-1e5-i-mixed-b1-n4e.log osp-1e5-i-mixed-b1-n4f.log osp-1e5-i-mixed-b1-n4g.log"
-
+#FILES="../../scripts/stats.log"
+#FILES="`ls $PREFIX*.log`"
+
+#FILES="`ls osp-pompeii3-*m2*.log` `ls osp-pompeii4-*m2*.log`"
+#FILES="`ls $PREFIX*m1-4*.log` `ls $PREFIX*m8*.log` "
+#FILES="`ls $PREFIX*m1-4*.log` `ls $PREFIX*m1-6*.log`"
+
+#FILES="$PREFIX-m1-6.log $PREFIX-m2-6.log"
 
 ################################
@@ -34,12 +37,101 @@
 # Vienna plots
 #FILES="osp-1e5-i-mixed-b1-n4l.log osp-1e5-r-reference-global.log osp-1e5-r-reference.log"
+# COMPARISON PLOT
+# FILES="osp-1e5-i-mixed-b1-n4l.log osp-1e5-r-reference-global.log osp-1e5-r-reference.log osp-vienna-SG08-r-reference.log \
+#  osp-vienna-SG08-reference-global.log \
+#  osp-vienna-SG08-combined-m1-3.log \
+#  osp-vienna-SG08-combined-m2-3.log \
+#  osp-vienna-SG08-combined-m3-1.log \
+#  osp-vienna-SG08-combined-m3-2.log \
+#  osp-vienna-SG08-combined-m3-3.log \
+#  osp-vienna-SG08-combined-m3-4.log \
+#  osp-vienna-SG08-combined-m3-5.log \
+#  osp-vienna-SG08-combined-m4-1.log \
+#  osp-vienna-SG08-combined-m4-2.log \
+#  osp-vienna-SG08-combined-m5-1.log \
+#  osp-vienna-SG08-combined-m5-2.log \
+#  osp-vienna-SG08-combined-m6-1.log \
+#  osp-vienna-SG08-combined-m6-2.log \
+#  osp-vienna-SG08-combined-m6-3.log \
+#  osp-vienna-SG08-combined-m7-1.log \
+#  osp-vienna-SG08-combined-m7-2.log \
+#  osp-vienna-SG08-combined-m7-3.log \
+#  osp-vienna-SG08-combined-m7-4.log \
+#  osp-vienna-SG08-combined-m7-5.log \
+#  osp-vienna-SG08-combined-m7-6.log \
+#  osp-vienna-SG08-combined-m7-7.log \
+#  osp-vienna-SG08-combined-m8-1.log \
+#  osp-vienna-SG08-combined-m8-2.log \
+#  osp-vienna-SG08-combined-m8-3.log \
+#  osp-vienna-SG08-combined-m8-4.log \
+#  "
+#FINAL PLOT - VIENNA
+FILES="osp-vienna-SG08-combined-m8-2.log osp-1e5-r-reference-global.log osp-1e5-r-reference.log"
+
+
+#FINAL TIME PLOT - VIENNA
+#FILES="osp-vienna-SG08-TIME-combined-m8-2.log osp-vienna-SG08-TIME-reference-global.log osp-vienna-SG08-TIME-r-reference.log"
 
 # Pompeii plots
+#FILES="osp-pompeii4-1e5-i-mixed-b1-n4n.log osp-pompeii4-1e5-r-reference-global.log osp-pompeii4-1e5-r-reference.log"
 #FILES="osp-pompeii4-1e5-i-mixed-b1-n4n.log osp-pompeii4-1e5-i-mixed-bvh-n4n.log osp-pompeii4-1e5-r-reference-global.log osp-pompeii4-1e5-r-reference.log"
 #FILES="osp-pompeii4-1e5-i-mixed-bvh-n4n.log osp-pompeii4-1e5-r-bvh-reference-global.log osp-pompeii4-1e5-r-bvh-reference.log"
 
+# FILES="osp-pompeii3-1e5-i-mixed-b1-n4n.log osp-pompeii3-1e5-r-reference-global.log osp-pompeii3-1e5-r-reference.log \
+# osp-pompeii-SG08-r-bvh-reference.log \
+# osp-pompeii-SG08-r-bvh-reference-global.log \
+# osp-pompeii-SG08-r-reference.log \
+# osp-pompeii-SG08-r-reference-global.log \
+# osp-pompeii-SG08-i-mixed-bvh-n4n.log \
+# osp-pompeii-SG08-combined-m5-2.log \
+# osp-pompeii-SG08-combined-m8-2.log \
+# osp-pompeii-SG08-combined-m8-3.log \
+# osp-pompeii-SG08-combined-m8-4.log \
+# osp-pompeii-SG08a-r-bvh-reference.log \
+# osp-pompeii-SG08a-r-bvh-reference-global.log \
+# osp-pompeii-SG08a-combined-m8-4.log \
+# "
+#FINAL PLOT - POMPEII
+# FILES="osp-pompeii-SG08a-combined-m8-4.log \
+# osp-pompeii-SG08a-r-bvh-reference-global.log \
+# osp-pompeii-SG08a-r-bvh-reference.log \
+# "
 
 # Arena plots
-
+#FILES="osp-arena1-1e5-i-mixed-b1-n4a.log osp-arena1-1e5-r-reference-global.log osp-arena1-1e5-r-reference.log"
+#  FILES="osp-arena1-1e5-i-mixed-b1-n4a.log osp-arena2-1e5-r-reference-global.log osp-arena1-1e5-r-reference.log \
+#  osp-arena-SG08-r-reference-global.log \
+#  osp-arena-SG08-combined-m5-2.log \
+#  osp-arena-SG08-combined-m8-2.log \
+#  osp-arena-SG08-combined-m8-4.log \
+#  osp-arena-SG08a-r-reference.log \
+#  osp-arena-SG08a-r-reference-global.log \
+#  osp-arena-SG08a-combined-m8-2.log \
+#  osp-arena-SG08a-TIME-r-reference-global.log \
+# "
+
+#FINAL PLOT
+#  FILES="\
+#  osp-arena-SG08a-combined-m8-2.log \
+#  osp-arena-SG08a-r-reference-global.log \
+#  osp-arena-SG08a-r-reference.log \
+#  "
+ 
+
+#FINAL TIME_PLOT
+#  FILES="\
+#  osp-arena-SG08a-TIME-combined-m8-2.log \
+#  osp-arena-SG08a-TIME-r-reference-global.log \
+#  osp-arena-SG08a-TIME-r-reference.log \
+# "
+
+
+#FINAL PLOT
+#   FILES="\
+#   osp-arena-SG08k-combined-m8-2.log \
+#   osp-arena-SG08a-combined-m8-2.log \
+#   osp-arena-SG08a-r-reference-global.log \
+#   osp-arena-SG08a-r-reference.log \
+#   "
 
 # Power plant plots
@@ -47,6 +139,13 @@
 #FILES="osp-powerplant-1e5-i-mixed-b1-n4a.log osp-powerplant-1e5-i-mixed-b1-n4b.log osp-powerplant-1e5-r-reference-global.log osp-powerplant-1e5-r-reference.log"
 
-#pixel error
-#FILES="osp-PIXEL-1e5-i-mixed-b1-n4l.log"
+#  FILES="\
+#  osp-powerplant-SG08-i-mixed-b1-n4a.log \
+#  osp-powerplant-SG08a-i-mixed-b1-n4a.log \
+#  osp-powerplant-SG08a-r-reference-global.log \
+#  osp-powerplant-SG08a-r-reference.log \
+#  osp-powerplant-SG08e-r-reference.log \
+#  osp-powerplant-SG08f-r-reference.log \
+#  "
+# osp-powerplant-SG08b-i-mixed-b1-n4a.log \
 
 
@@ -88,4 +187,6 @@
 ./showplot $PREFIX-avgpvse
 
+$COMMAND3 $STYLE TotalSamples AVG_REL_PVS_INCREASE $FILES
+./showplot $PREFIX-avgpvsincrease
 
 # $COMMAND2 $STYLE RssSamples AVG_PVS $FILES
@@ -116,13 +217,21 @@
 #./showplot $PREFIX-avgfilteredpvs
 
+#$COMMAND1 $STYLE TotalSamples AvgPvsRenderError $FILES
+#./showplot $PREFIX-avgpvsrendererror
+
+#$COMMAND1 $STYLE TotalSamples AvgPixelError $FILES
+#./showplot $PREFIX-avgpixelerror
 
 $COMMAND2 $STYLE TotalSamples AvgPixelError $FILES
 ./showplot $PREFIX-avgpixelerror
 
+#$COMMAND1 $STYLE TotalSamples MaxPvsRenderError $FILES
+#./showplot $PREFIX-maxpvsrendererror
+
 $COMMAND2 $STYLE TotalSamples MaxPixelError $FILES
 ./showplot $PREFIX-maxpixelerror
 
-$COMMAND2 $STYLE TotalSamples ErrorFreeFrames $FILES
-./showplot $PREFIX-errorfreeframes
+#$COMMAND2 $STYLE TotalSamples ErrorFreeFrames $FILES
+#./showplot $PREFIX-errorfreeframes
 
 
Index: /GTP/trunk/Lib/Vis/Preprocessing/work/plots/ps_memory_plot2
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/work/plots/ps_memory_plot2	(revision 2059)
+++ /GTP/trunk/Lib/Vis/Preprocessing/work/plots/ps_memory_plot2	(revision 2639)
@@ -19,5 +19,5 @@
 echo set xlabel \"$2\" >> $FILE 
 echo set ylabel \"$3\" >> $FILE
-echo set yrange \[0:2000\] >> $FILE
+#echo set yrange \[0:2000\] >> $FILE
 
 # echo set boxwidth 0.4 >> $FILE
@@ -45,5 +45,6 @@
     paste $i.tmpplot.x $i.tmpplot.y > $i.tmpplot ;
     if test $i != $1 ; then echo -n ", ">>$FILE; fi
-    echo -n " "\"$i.tmpplot\"  title \"$NAME\" with $STYLE" " lt $pt >>$FILE ;
+#    echo -n " "\"$i.tmpplot\"  title \"$NAME\" with $STYLE" " lt $pt >>$FILE ;
+    echo -n " "\"$i.tmpplot\"  title \"$i\" with $STYLE" " lt $pt >>$FILE ;
     YPLOT="$YPLOT $i.tmpplot.y";
     case $NAME in
@@ -54,4 +55,12 @@
     E) NAME=F;;
     F) NAME=G;;
+    G) NAME=H;;
+    H) NAME=I;;
+    I) NAME=J;;
+    J) NAME=K;;
+    K) NAME=L;;
+    L) NAME=M;;
+    M) NAME=N;;
+    N) NAME=O;;
     esac;
     let pt=$pt+1;