Index: /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_vienna_pixel
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_vienna_pixel	(revision 2626)
+++ /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_vienna_pixel	(revision 2641)
@@ -13,5 +13,5 @@
 
 
-PREFIX=../work/plots/osp-vienna-SG08g-pixel
+PREFIX=../work/plots/osp-vienna-SG08j-pixel
 
 
@@ -19,30 +19,6 @@
 ######################
 
-$COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
--preprocessor_visibility_file=$PREFIX-reference.xml \
--view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
--preprocessor_histogram_file=$PREFIX-r-reference.hlog
-
-$COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
- -rss_distributions=direction -view_cells_filter_max_size=1 \
- -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
- -preprocessor_stats=$PREFIX-reference-global.log \
- -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
-
-
-# USE THIS ONE!!!!!!
 $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
--mutation_silhouette_prob=0.5 \
--mutation_reverse_samples_distance=1.0 \
--mutation_radius_origin=1.0 \
--mutation_radius_termination=0.2 \
--mutation_use_unsucc_count_importance+ \
--mutation_use_pass_importance- \
--mutation_buffer_size=2000000 \
--rss_distributions=mutation+object_direction+spatial \
--preprocessor_stats=$PREFIX-combined-m8-2.log 
-
-
-$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-view_cells_filter_width=2.0 \
 -preprocessor_evaluate_filter+ \
 -mutation_silhouette_prob=0.5 \
@@ -55,2 +31,28 @@
 -rss_distributions=mutation+object_direction+spatial \
 -preprocessor_stats=$PREFIX-combined-m8-2f.log 
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+
+# # USE THIS ONE!!!!!!
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=1.0 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-2.log 
+
+
Index: /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pompeii
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pompeii	(revision 2622)
+++ /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pompeii	(revision 2641)
@@ -42,14 +42,14 @@
 
 
-$COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
--preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
--view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
--preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
 
-$COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
- -rss_distributions=direction -view_cells_filter_max_size=1 \
- -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
- -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
- -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
 
 
@@ -98,15 +98,15 @@
 # -preprocessor_stats=$PREFIX-combined-m8-3.log 
 
-# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
-# -mutation_silhouette_prob=0.5 \
-# -mutation_reverse_samples_distance=1.0 \
-# -mutation_radius_origin=0.5 \
-# -mutation_radius_termination=0.2 \
-# -mutation_use_unsucc_count_importance- \
-# -mutation_use_pass_importance+ \
-# -mutation_buffer_size=2000000 \
-# -rss_distributions=mutation+object_direction+spatial \
-# -preprocessor_stats=$PREFIX-combined-m8-4.log 
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+ -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+-mutation_silhouette_prob=0.5 \
+-mutation_reverse_samples_distance=1.0 \
+-mutation_radius_origin=0.5 \
+-mutation_radius_termination=0.2 \
+-mutation_use_unsucc_count_importance- \
+-mutation_use_pass_importance+ \
+-mutation_buffer_size=2000000 \
+-rss_distributions=mutation+object_direction+spatial \
+-preprocessor_stats=$PREFIX-combined-m8-4.log 
 
 #mutation+object_direction+
Index: /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_arena_pixel
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_arena_pixel	(revision 2624)
+++ /GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_arena_pixel	(revision 2641)
@@ -4,5 +4,5 @@
 
 # NORMAL TEST
-COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer+ -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace+ -total_samples=250000000  -samples_per_pass=1000000 -view_cells_use_kd_pvs+ -af_use_kd_pvs+ -kd_pvs_area=1e-5 -preprocessor_pvs_rendererror_samples=10000 -preprocessor_evaluatePixelError+ -samples_per_evaluation=10000000"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace+ -total_samples=250000000  -samples_per_pass=1000000 -view_cells_use_kd_pvs+ -af_use_kd_pvs+ -kd_pvs_area=1e-5 -preprocessor_pvs_rendererror_samples=10000 -preprocessor_evaluatePixelError+ -samples_per_evaluation=10000000"
 
 SCENE=../data/Arena/arena-high-lods.obj
@@ -12,15 +12,4 @@
 PREFIX=../work/plots/osp-arena-SG08a-PIXEL
 
-
-$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
--mutation_silhouette_prob=0.5 \
--mutation_reverse_samples_distance=1.0 \
--mutation_radius_origin=1.0 \
--mutation_radius_termination=0.2 \
--mutation_use_unsucc_count_importance+ \
--mutation_use_pass_importance- \
--mutation_buffer_size=2000000 \
--rss_distributions=mutation+object_direction+spatial \
--preprocessor_stats=$PREFIX-combined-m8-2.log 
 
 
@@ -38,4 +27,17 @@
 
 
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-mutation_silhouette_prob=0.5 \
+-mutation_reverse_samples_distance=1.0 \
+-mutation_radius_origin=1.0 \
+-mutation_radius_termination=0.2 \
+-mutation_use_unsucc_count_importance+ \
+-mutation_use_pass_importance- \
+-mutation_buffer_size=2000000 \
+-rss_distributions=mutation+object_direction+spatial \
+-preprocessor_stats=$PREFIX-combined-m8-2.log 
+
+
 $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
 -mutation_silhouette_prob=0.5 \