Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp	(revision 2643)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp	(revision 2644)
@@ -1282,9 +1282,8 @@
 	renderText(20, 40, s);
 #endif
-#if 0
+
 	QFont font40; font40.setPointSize(30);
 	//s.sprintf("PVS: %04d", mPvsSize);
 	//renderText(20, 40, s, font40);
-#endif
 	
 	//s.sprintf("RAW TRI: %07d", mViewCellsManager->GetPreprocessor()->mGenericStats);
@@ -1924,5 +1923,5 @@
 	vl->addWidget(label);
 
-	slider = new QSlider(Qt::Horizontal, vbox);
+	slider = new QSlider(Qt::Horizontal);
 	vl->addWidget(slider);
 	slider->show();
@@ -1938,5 +1937,5 @@
 	vl->addWidget(label);
 
-	slider = new QSlider(Qt::Horizontal, vbox);
+	slider = new QSlider(Qt::Horizontal);
 	vl->addWidget(slider);
 	slider->show();
@@ -1950,5 +1949,5 @@
 	////////////////////////////////////////7
 
-	button = new QPushButton("Update all PVSs", vbox);
+	button = new QPushButton("Update all PVSs");
 	vl->addWidget(button);
 	connect(button, SIGNAL(clicked()), SLOT(UpdateAllPvs()));
@@ -1959,5 +1958,5 @@
 	vl->addWidget(label);
 
-	slider = new QSlider(Qt::Horizontal, vbox);
+	slider = new QSlider(Qt::Horizontal);
 	vl->addWidget(slider);
 	slider->show();
@@ -1975,5 +1974,5 @@
 
 
-	QWidget *hbox = new QWidget();//vbox);
+	QWidget *hbox = new QWidget();
 	vl->addWidget(hbox);
 	QHBoxLayout *hlayout = new QHBoxLayout;
@@ -2032,4 +2031,6 @@
 	//////////////////////////////////
 
+	bool tmp = false;
+	const int range = 1000;
 
 	//vbox->resize(800,150);
@@ -2058,4 +2059,26 @@
 	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetSceneCut(int)));
 
+
+	cb = new QCheckBox("Use spatial filter", vbox);
+	vbox->layout()->addWidget(cb);
+	Environment::GetSingleton()->GetBoolValue("Preprocessor.applyVisibilitySpatialFilter", tmp);
+	cb->setChecked(tmp);
+	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetUseSpatialFilter(bool)));
+
+
+	label = new QLabel("Spatial Filter size");
+	vbox->layout()->addWidget(label);
+	
+	slider = new QSlider(Qt::Horizontal, vbox);
+	vbox->layout()->addWidget(slider);
+	slider->show();
+	slider->setRange(1, 100);
+	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
+	slider->setValue(10);
+
+	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetSpatialFilterSize(int)));
+
+	////////////////////////////
+
 	
 	cb = new QCheckBox("Hide view cells by render cost ", vbox);
@@ -2063,8 +2086,4 @@
 	cb->setChecked(false);
 	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetHideByCost(bool)));
-
-	////////////////////////////
-
-	const int range = 1000;
 
 	label = new QLabel("Hide by cost");
@@ -2118,10 +2137,12 @@
 	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
 	slider->setValue(0);
+	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetTransparency(int)));
 #endif
-	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetTransparency(int)));
+	
 
 	//////////////////////////////
 
 #if REMOVE_TEMPORARY
+
 	cb = new QCheckBox("Cut scene", vbox);
 	vbox->layout()->addWidget(cb);
@@ -2140,21 +2161,18 @@
 #endif
 
-	bool tmp;
 #if REMOVE_TEMPORARY
 
 	cb = new QCheckBox("Use filter", vbox);
 	vbox->layout()->addWidget(cb);
-	Environment::GetSingleton()->GetBoolValue("Preprocessor.applyVisibilityFilter", tmp );
+	Environment::GetSingleton()->GetBoolValue("Preprocessor.applyVisibilityFilter", tmp);
 	cb->setChecked(tmp);
 	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetUseFilter(bool)));
 #endif
 
-	cb = new QCheckBox("Use spatial filter", vbox);
-	vbox->layout()->addWidget(cb);
-	Environment::GetSingleton()->GetBoolValue("Preprocessor.applyVisibilitySpatialFilter",
-		tmp );
-	cb->setChecked(tmp);
-	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetUseSpatialFilter(bool)));
+
+	
+
 #if REMOVE_TEMPORARY
+	
 	cb = new QCheckBox("Render filter", vbox);
 	vbox->layout()->addWidget(cb);
@@ -2184,4 +2202,5 @@
 	vbox->layout()->addWidget(button);
 	connect(button, SIGNAL(clicked()), SIGNAL(StoreStatistics()));
+
 #endif
 
@@ -2226,16 +2245,4 @@
 	
 	//////////////////////////////////////////
-
-	label = new QLabel("Spatial Filter size");
-	vbox->layout()->addWidget(label);
-
-	slider = new QSlider(Qt::Horizontal, vbox);
-	vbox->layout()->addWidget(slider);
-	slider->show();
-	slider->setRange(1, 100);
-	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
-	slider->setValue(10);
-
-	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetSpatialFilterSize(int)));
 
 