Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pixel_rebuttal
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pixel_rebuttal	(revision 2646)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pixel_rebuttal	(revision 2646)
@@ -0,0 +1,130 @@
+#!/bin/sh
+
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+#COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -samples_per_pass=500000 -samples_per_evaluation=10000000 -total_samples=500000000 -preprocessor_pvs_rendererror_samples=10000 -preprocessor_evaluatePixelError+"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -samples_per_pass=1000000 -samples_per_evaluation=10000000 -total_samples=250000000 -preprocessor_pvs_rendererror_samples=100000 -preprocessor_evaluatePixelError+ -preprocessor_detect_empty_viewspace+ -kd_pvs_area=1e-5 -view_cells_use_kd_pvs+ -af_use_kd_pvs+ -view_cells_import_random_viewcells+ -view_cells_export_random_viewcells-"
+ 
+#SCENE="../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d"
+#VIEWCELLS=../data/vienna/vienna-viewcells-5000.xml
+
+
+#SCENE=../data/soda/soda.obj
+#VIEWCELLS=../data/soda/soda5-viewcells-1000.xml
+#VIEWCELLS=../data/soda/soda5-viewcells-single.xml
+
+#SCENE=../data/PowerPlant/selection.plb
+#VIEWCELLS=../data/PowerPlant/power_plant_viewcells1.xml
+
+#SCENE=../data/soda/soda5.dat
+#VIEWCELLS=../data/soda/soda-viewcells-5000.xml
+#VIEWCELLS=../data/soda/soda5-viewcells.xml
+#VIEWCELLS=../data/soda/soda5-viewcells-single.xml
+
+#SCENE=../data/artificial/city.x3d
+#VIEWCELLS=../data/soda/soda5-viewcells2.xml
+#VIEWCELLS=../data/artificial/city-viewcells-1000.xml
+
+#SCENE=../data/test1/test2.x3d
+#VIEWCELLS=../data/test1/test-viewcells.xml
+
+SCENE=../data/vienna/vienna_cropped.obj
+VIEWCELLS=../data/vienna/vienna_cropped-gradient-viewcells.xml.gz
+
+# view cells used for pixel error measurement
+#VIEWCELLS=../data/vienna/vienna-seq-viewcells-20000.xml.gz
+
+PREFIX=../work/plots/osp-vienna-SG08e-PIXELRb
+
+#SCENE=../data/atlanta/atlanta2.x3d
+#PREFIX=../work/plots/atlanta2-rss9
+
+
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-r-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4l.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n4l.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4l.hlog
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+-preprocessor_evaluate_filter+ \
+-preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4l.xml \
+-preprocessor_stats=$PREFIX-i-mixed-b1-n4l.log \
+-preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4f.hlog
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4k.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-bvh-n4k.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4k.hlog
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+# -preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
+
+
+
+#############
+#############
+#############
+#############
+#############
+
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4i.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-bvh-n4i.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4i.hlog
+
+
+
+#$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4i.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n4i.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4i.hlog
+
+
+# e - no origin mutation, silh. tm Q=2, reverse samples
+# f - no origin, q=2, no reverse samples
+# g - gaussian origin, q=2, reverse samples
+
+# g, h contain pvs error estimations...
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=rss+object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n2.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n2.hlog
+
+
+