Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtInterface05.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtInterface05.vcproj	(revision 2655)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtInterface05.vcproj	(revision 2655)
@@ -0,0 +1,208 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="QtInterface05"
+	ProjectGUID="{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}"
+	RootNamespace="QtInterface05"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories="..\src;&quot;$(QT_PATH)\include\QtOpenGL&quot;;..\..\src\;&quot;$(QT_PATH)\include\Qt&quot;"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				RuntimeLibrary="2"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="LogReader.h"
+				>
+			</File>
+			<File
+				RelativePath="LogWriter.h"
+				>
+			</File>
+			<File
+				RelativePath="QtGlRenderer.h"
+				>
+			</File>
+			<File
+				RelativePath="QtGlViewer.h"
+				>
+			</File>
+			<File
+				RelativePath="QtPreprocessorThread.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="LogReader.cpp"
+				>
+			</File>
+			<File
+				RelativePath="LogWriter.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtGlRenderer.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtGlRendererDll.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtGlViewer.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtPreprocessorThread.cpp"
+				>
+			</File>
+		</Filter>
+		<File
+			RelativePath=".\ReadMe.txt"
+			>
+		</File>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: GTP/trunk/Lib/Vis/Preprocessing/src/IntersectionBoundingBoxConverter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/IntersectionBoundingBoxConverter.h	(revision 2113)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/IntersectionBoundingBoxConverter.h	(revision 2655)
Index: GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj	(revision 2643)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj	(revision 2655)
@@ -115,5 +115,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="..\includ;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer;..\src\havran"
+				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer;..\src\havran"
 				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;NO_QT;USE_VERBOSE_PVS"
 				RuntimeLibrary="2"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/common.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/common.h	(revision 2621)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/common.h	(revision 2655)
@@ -25,5 +25,5 @@
 #define DYNAMIC_OBJECTS_HACK 1
 #define USE_TRANSFORMED_MESH_INSTANCE_HACK 0
-#define USE_HAVRAN_RAYCASTER
+//#define USE_HAVRAN_RAYCASTER 0
 
 namespace GtpVisibilityPreprocessor {
Index: GTP/trunk/Lib/Vis/Preprocessing/src/HavranRayCaster.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/HavranRayCaster.cpp	(revision 2638)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/HavranRayCaster.cpp	(revision 2655)
@@ -22,4 +22,5 @@
 #endif // _USE_HAVRAN_SSE
 #endif // USE_HAVRAN_RAYCASTER
+
 #include "HavranRayCaster.h"
 
@@ -82,5 +83,7 @@
 HavranRayCaster::ExportBinTree(const string &filename)
 {
+#ifdef USE_HAVRAN_RAYCASTER 
   return mKtbtree->ExportBinTree(filename);
+#endif
 }
 
@@ -88,5 +91,7 @@
 HavranRayCaster::ImportBinTree(const string &filename, ObjectContainer &objects)
 {
+#ifdef USE_HAVRAN_RAYCASTER 
   return mKtbtree->ImportBinTree(filename, objects);
+#endif
 }
 
@@ -381,4 +386,6 @@
 				      )
 {
+#ifdef USE_HAVRAN_RAYCASTER
+
   int hit_triangles[16];
   float dist[16];
@@ -408,5 +415,5 @@
   }
 
-
+#endif // USE_HAVRAN_RAYCASTER 
   return;
 }
Index: GTP/trunk/Lib/Vis/Preprocessing/src/BoundingBoxConverter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/BoundingBoxConverter.h	(revision 2643)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/BoundingBoxConverter.h	(revision 2655)
@@ -3,5 +3,5 @@
 
 
-#include <vector>
+//#include <vector>
 #include "AxisAlignedBox3.h"
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/HavranDynRayCaster.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/HavranDynRayCaster.cpp	(revision 2630)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/HavranDynRayCaster.cpp	(revision 2655)
@@ -20,5 +20,6 @@
 #include "raypack.h"
 #endif // _USE_HAVRAN_SSE
-#endif // USE_HAVRAN_RAYCASTER
+#endif // _USE_HAVRAN_RAYCASTER
+
 #include "HavranRayCaster.h"
 
@@ -661,4 +662,6 @@
 					 )
 {
+#ifdef USE_HAVRAN_RAYCASTER
+
   int hit_triangles[16];
   float dist[16];
@@ -759,4 +762,5 @@
     SimpleRay::IntersectionRes[i].tdist = tdist[i];
   }
+#endif // USE_HAVRAN_RAYCASTER
 
   return;
@@ -802,9 +806,8 @@
 void
 HavranDynRayCaster::CastRaysPacket2x2(RayPacket2x2 &raysPack,
-				      bool castDoubleRay,
-				      const bool pruneInvalidRays)
+									  bool castDoubleRay,
+									  const bool pruneInvalidRays)
 {
 #ifdef USE_HAVRAN_RAYCASTER 
-#ifdef _USE_HAVRAN_SSE
 
   if (castDoubleRay) {
@@ -929,11 +932,11 @@
 
   return;
+
+#endif // USE_HAVRAN_RAYCASTER 
+
+}
 #endif // _USE_HAVRAN_SSE
-#endif // USE_HAVRAN_RAYCASTER 
-}
-
-  
-#endif // _USE_HAVRAN_SSE
-
-
+
+ 
 } // the namespace
+
Index: GTP/trunk/Lib/Vis/Preprocessing/src/havran/testrt.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/havran/testrt.cpp	(revision 2629)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/havran/testrt.cpp	(revision 2655)
@@ -370,5 +370,5 @@
   cout << "Computing image\n" << endl;
 
-  int id = preprocessor->mObjects.size() + 1;
+  int id = (int)preprocessor->mObjects.size() + 1;
     
   //We add here a few objects
Index: GTP/trunk/Lib/Vis/Preprocessing/src/HavranRayCaster.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/HavranRayCaster.h	(revision 2643)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/HavranRayCaster.h	(revision 2655)
@@ -2,11 +2,15 @@
 #define _HavranRayCaster_H__
 
-#ifdef USE_HAVRAN_RAYCASTER
 
 #include "RayCaster.h"
 #include "Containers.h"
 #include <string>
+
+#ifdef USE_HAVRAN_RAYCASTER
+
 #include "ktbconf.h"
 #include "raypack.h"
+
+#endif // USE_HAVRAN_RAYCASTER
 
 namespace GtpVisibilityPreprocessor {
@@ -212,3 +216,3 @@
 #endif
 
-#endif // _HavranRayCaster_H__
+//#endif // _HavranRayCaster_H__