Index: GTP/trunk/Lib/Vis/GtpVisibility05.sln
===================================================================
--- GTP/trunk/Lib/Vis/GtpVisibility05.sln	(revision 2563)
+++ GTP/trunk/Lib/Vis/GtpVisibility05.sln	(revision 2656)
@@ -4,7 +4,21 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Preprocessor05", "Preprocessing\src\GtpVisibility05.vcproj", "{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}"
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "QtInterface05", "Preprocessing\src\QtInterface\QtInterface05.vcproj", "{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}"
+	ProjectSection(ProjectDependencies) = postProject
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F} = {3C8C3818-EB24-47D4-A04E-18D5255A2B2F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestPreprocessor05", "Preprocessing\src\TestPreprocessor05.vcproj", "{69BC58F0-C7EB-4B43-B782-B6F047EF0528}"
+	ProjectSection(ProjectDependencies) = postProject
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7} = {C3F67E6E-09C2-4919-A003-90E9C42DCEA7}
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F} = {3C8C3818-EB24-47D4-A04E-18D5255A2B2F}
+	EndProjectSection
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Win32 = Debug|Win32
+		Release Internal|Win32 = Release Internal|Win32
+		release_noqt|Win32 = release_noqt|Win32
+		Release_qt|Win32 = Release_qt|Win32
 		Release|Win32 = Release|Win32
 	EndGlobalSection
@@ -12,6 +26,32 @@
 		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Debug|Win32.ActiveCfg = Debug|Win32
 		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Debug|Win32.Build.0 = Debug|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release Internal|Win32.ActiveCfg = Release|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release Internal|Win32.Build.0 = Release|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.release_noqt|Win32.ActiveCfg = Release|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.release_noqt|Win32.Build.0 = Release|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release_qt|Win32.ActiveCfg = Release|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release_qt|Win32.Build.0 = Release|Win32
 		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release|Win32.ActiveCfg = Release|Win32
 		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release|Win32.Build.0 = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Debug|Win32.ActiveCfg = Debug|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Debug|Win32.Build.0 = Debug|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Release Internal|Win32.ActiveCfg = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Release Internal|Win32.Build.0 = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.release_noqt|Win32.ActiveCfg = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.release_noqt|Win32.Build.0 = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Release_qt|Win32.ActiveCfg = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Release_qt|Win32.Build.0 = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Release|Win32.ActiveCfg = Release|Win32
+		{C3F67E6E-09C2-4919-A003-90E9C42DCEA7}.Release|Win32.Build.0 = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug|Win32.ActiveCfg = Debug|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug|Win32.Build.0 = Debug|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release Internal|Win32.ActiveCfg = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release Internal|Win32.Build.0 = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.release_noqt|Win32.ActiveCfg = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.release_noqt|Win32.Build.0 = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release_qt|Win32.ActiveCfg = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release_qt|Win32.Build.0 = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release|Win32.ActiveCfg = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 2643)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 2656)
@@ -108,5 +108,5 @@
 		<Configuration
 			Name="Release Internal|Win32"
-			OutputDirectory="..\libRelease"
+			OutputDirectory="..\lib\Release"
 			IntermediateDirectory="..\obj\Release"
 			ConfigurationType="4"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlViewer.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlViewer.h	(revision 2614)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlViewer.h	(revision 2656)
@@ -13,5 +13,5 @@
 
 
-class QtGlViewer : public QGLWidget
+class __declspec(dllexport) QtGlViewer : public QGLWidget
 {
 	//Q_OBJECT
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/LogWriter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/LogWriter.h	(revision 2584)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/LogWriter.h	(revision 2656)
@@ -13,5 +13,4 @@
 {
 
-//class ViewCellContainer;
 
 class LogWriter
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.h	(revision 2644)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.h	(revision 2656)
@@ -49,5 +49,6 @@
 
 
-class QtGlRendererBuffer : public QObject, public QGLPixelBuffer, public GlRendererBuffer
+class __declspec(dllexport) QtGlRendererBuffer
+: public QObject, public QGLPixelBuffer, public GlRendererBuffer
 {
 	Q_OBJECT
@@ -86,5 +87,5 @@
 
 
-class QtRendererControlWidget : public QWidget
+class __declspec(dllexport) QtRendererControlWidget : public QWidget
 {
   Q_OBJECT
@@ -169,5 +170,5 @@
 
 
-class QtGlRendererWidget: public QGLWidget, public GlRendererWidget
+class __declspec(dllexport) QtGlRendererWidget: public QGLWidget, public GlRendererWidget
 {
 	Q_OBJECT
@@ -568,5 +569,5 @@
 
 
-class QtGlDebuggerWidget: public QGLWidget
+class __declspec(dllexport) QtGlDebuggerWidget: public QGLWidget
 {
 	Q_OBJECT
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtPreprocessorThread.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtPreprocessorThread.h	(revision 2608)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtPreprocessorThread.h	(revision 2656)
@@ -2,5 +2,5 @@
 #define __QT_PREPROCESSOR_THREAD_H
 
-#ifdef USE_QT
+//#ifdef USE_QT
 
 #include <QThread>
@@ -11,5 +11,5 @@
 class Preprocessor;
 
-class QtPreprocessorThread : public PreprocessorThread, public QThread
+class __declspec(dllexport) QtPreprocessorThread : public PreprocessorThread, public QThread
 {
 public:
@@ -36,3 +36,3 @@
 
 #endif
-#endif
+//#endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtInterface05.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtInterface05.vcproj	(revision 2655)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtInterface05.vcproj	(revision 2656)
@@ -80,6 +80,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
+			OutputDirectory="$(SolutionDir)\lib05\$(ConfigurationName)"
+			IntermediateDirectory="$(SolutionDir)\obj05\$(ConfigurationName)"
 			ConfigurationType="4"
 			CharacterSet="1"
@@ -103,6 +103,7 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="..\src;&quot;$(QT_PATH)\include\QtOpenGL&quot;;..\..\src\;&quot;$(QT_PATH)\include\Qt&quot;"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				WholeProgramOptimization="false"
+				AdditionalIncludeDirectories="..\src;..\..\src\;..\..\..\..\..\..\..\NonGTP\Zlib\include;&quot;$(QTDIR)\include\QtOpenGL&quot;;&quot;$(QTDIR)\include\Qt&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(CG_INC_PATH)&quot;"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_INTERNAL;USE_QT;USE_VERBOSE_PVS;USE_CG"
 				RuntimeLibrary="2"
 				UsePrecompiledHeader="0"
@@ -149,21 +150,29 @@
 			>
 			<File
-				RelativePath="LogReader.h"
-				>
-			</File>
-			<File
-				RelativePath="LogWriter.h"
-				>
-			</File>
-			<File
-				RelativePath="QtGlRenderer.h"
-				>
-			</File>
-			<File
-				RelativePath="QtGlViewer.h"
-				>
-			</File>
-			<File
-				RelativePath="QtPreprocessorThread.h"
+				RelativePath="LogReader.cpp"
+				>
+			</File>
+			<File
+				RelativePath="LogWriter.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\moc_QtGlRenderer.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtGlRenderer.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtGlRendererDll.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtGlViewer.cpp"
+				>
+			</File>
+			<File
+				RelativePath="QtPreprocessorThread.cpp"
 				>
 			</File>
@@ -175,32 +184,34 @@
 			>
 			<File
-				RelativePath="LogReader.cpp"
-				>
-			</File>
-			<File
-				RelativePath="LogWriter.cpp"
-				>
-			</File>
-			<File
-				RelativePath="QtGlRenderer.cpp"
-				>
-			</File>
-			<File
-				RelativePath="QtGlRendererDll.cpp"
-				>
-			</File>
-			<File
-				RelativePath="QtGlViewer.cpp"
-				>
-			</File>
-			<File
-				RelativePath="QtPreprocessorThread.cpp"
+				RelativePath="LogReader.h"
+				>
+			</File>
+			<File
+				RelativePath="LogWriter.h"
+				>
+			</File>
+			<File
+				RelativePath="QtGlRenderer.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Performing moc on $(InputName).h"
+						CommandLine="$(QTDIR)\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp&#x0D;&#x0A;"
+						Outputs="&quot;$(InputDir) moc_$(InputName).cpp"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="QtGlViewer.h"
+				>
+			</File>
+			<File
+				RelativePath="QtPreprocessorThread.h"
 				>
 			</File>
 		</Filter>
-		<File
-			RelativePath=".\ReadMe.txt"
-			>
-		</File>
 	</Files>
 	<Globals>
Index: GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj	(revision 2655)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj	(revision 2656)
@@ -92,6 +92,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
+			OutputDirectory="$(SolutionDir)\lib05\$(ConfigurationName)"
+			IntermediateDirectory="$(SolutionDir)\obj05\$(ConfigurationName)"
 			ConfigurationType="4"
 			CharacterSet="2"
@@ -115,6 +115,6 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer;..\src\havran"
-				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;NO_QT;USE_VERBOSE_PVS"
+				AdditionalIncludeDirectories="..\src;Timer;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\src\havran;..\MultiLevelRayTracing;&quot;$(CG_INC_PATH)&quot;"
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;USE_VERBOSE_PVS;USE_QT;GTP_INTERNAL;USE_CG"
 				RuntimeLibrary="2"
 				WarningLevel="3"
@@ -168,4 +168,8 @@
 			</File>
 			<File
+				RelativePath=".\Timer\BenchTimer.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\BitVectorPvs.cpp"
 				>
@@ -284,4 +288,8 @@
 			</File>
 			<File
+				RelativePath=".\Timer\merror.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\Mesh.cpp"
 				>
@@ -369,4 +377,8 @@
 			<File
 				RelativePath=".\RayInfo.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Timer\RDTSCTimer.cpp"
 				>
 			</File>
@@ -514,4 +526,8 @@
 			</File>
 			<File
+				RelativePath=".\Timer\BenchTimer.h"
+				>
+			</File>
+			<File
 				RelativePath=".\BitVectorPvs.h"
 				>
@@ -662,4 +678,8 @@
 			</File>
 			<File
+				RelativePath=".\Timer\merror.h"
+				>
+			</File>
+			<File
 				RelativePath=".\Mesh.h"
 				>
@@ -670,4 +690,8 @@
 			</File>
 			<File
+				RelativePath=".\Timer\mstring.h"
+				>
+			</File>
+			<File
 				RelativePath=".\Mutation.h"
 				>
@@ -710,4 +734,12 @@
 			</File>
 			<File
+				RelativePath=".\Timer\PerfTimer.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Timer\PerfTimerSkeleton.h"
+				>
+			</File>
+			<File
 				RelativePath=".\Plane3.h"
 				>
@@ -774,4 +806,8 @@
 			</File>
 			<File
+				RelativePath=".\Timer\RDTSCTimer.h"
+				>
+			</File>
+			<File
 				RelativePath=".\Rectangle3.h"
 				>
@@ -925,10 +961,4 @@
 				>
 			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
 		</Filter>
 		<Filter
Index: GTP/trunk/Lib/Vis/Preprocessing/src/TestPreprocessor05.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/TestPreprocessor05.vcproj	(revision 2656)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/TestPreprocessor05.vcproj	(revision 2656)
@@ -0,0 +1,226 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="TestPreprocessor05"
+	ProjectGUID="{69BC58F0-C7EB-4B43-B782-B6F047EF0528}"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="..\bin\Debug"
+			IntermediateDirectory="..\obj\Debug"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\src\sparsehash\src\"
+				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;NO_QT"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				UsePrecompiledHeader="0"
+				BrowseInformation="1"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="xerces-c_2D.lib zdll.lib zziplibd.lib devil.lib glut32.lib OpenGL32.Lib glu32.lib Preprocessor.lib glew32.lib"
+				OutputFile="$(OutDir)/Preprocessor.exe"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories="..\include;..\src\GL;&quot;..\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\NonGTP\Boost\lib;..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\..\..\..\NonGTP\Zlib\lib;..\..\..\..\..\..\NonGTP\Devil\lib"
+				GenerateDebugInformation="true"
+				ProgramDatabaseFile="$(OutDir)/TestPreprocessor.pdb"
+				SubSystem="1"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="$(SolutionDir)\obj05\$(ConfigurationName)"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				InlineFunctionExpansion="2"
+				EnableIntrinsicFunctions="false"
+				FavorSizeOrSpeed="1"
+				OmitFramePointers="true"
+				EnableFiberSafeOptimizations="true"
+				WholeProgramOptimization="false"
+				AdditionalIncludeDirectories="..\src;..\include;..\..\..\..\..\..\NonGTP\Boost;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;&quot;$(QTDIR)\include\QtOpenGl&quot;;&quot;$(QTDIR)\include\Qt&quot;;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include&quot;;QtInterface;..\src\sparsehash\src\;..\src\ootl\src\include\ootl;..\src\ootl\src\include\ootl\sandbox;$(NOINHERIT)"
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;GTP_INTERNAL;USE_QT;USE_CG;USE_VERBOSE_PVS"
+				StringPooling="true"
+				MinimalRebuild="true"
+				ExceptionHandling="1"
+				RuntimeLibrary="2"
+				EnableEnhancedInstructionSet="0"
+				RuntimeTypeInfo="false"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="xerces-c_2.lib glew32.lib zdll.lib zziplib.lib devil.lib glut32.lib OpenGL32.Lib glu32.lib Preprocessor05.lib RTScene.lib RTWorld.lib cg.lib cgGL.lib Qt3Support4.lib QtTest4.lib QtGui4.lib QtInterface05.lib QtOpenGL4.lib QtCore4.lib qtmain.lib"
+				OutputFile="../bin/$(ConfigurationName)/Preprocessor.exe"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;..\src\GL;&quot;..\..\lib05\$(ConfigurationName)&quot;;..\..\..\..\..\..\NonGTP\Boost\lib;..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\..\..\..\NonGTP\Zlib\lib;..\..\..\..\..\..\NonGTP\Devil\lib;&quot;..\MultiLevelRayTracing\RTScene\$(ConfigurationName)&quot;;&quot;..\MultiLevelRayTracing\RTWorld\$(ConfigurationName)&quot;;&quot;QtInterface\$(ConfigurationName)&quot;;&quot;$(CG_LIB_PATH)&quot;"
+				GenerateDebugInformation="false"
+				SubSystem="1"
+				LargeAddressAware="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"
+				FixedBaseAddress="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\main.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+		<File
+			RelativePath=".\VTune\TestPreprocessor.vpj"
+			>
+		</File>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: GTP/trunk/Lib/Vis/Preprocessing/src/havran/testrt.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/havran/testrt.cpp	(revision 2655)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/havran/testrt.cpp	(revision 2656)
@@ -34,7 +34,8 @@
 
 #ifdef USE_QT  
-	#include "QtPreprocessorThread.h"
+/*	#include "QtPreprocessorThread.h"
 	#include "QtGlViewer.h"
 	#include "QtGlRenderer.h"
+	*/
 #else
 	#if USE_THREADS